[database]

dbtype = mysql
dbhost = 127.0.0.1
dbname = astercc10
dbport = 3306
username = astercc
password = asterccsecret
prefix= cc10_

[redis]
rhost = 127.0.0.1
rport = 6379

[asterisk]
server = 127.0.0.1
port = 5038
username = astercc
secret = asterccsecret

;asterisk option delimiter | or ,
delimiter = ,

[system]
init_import = 1
debug = 0
debug_mail_to = 

;if Cluster no,php,asterisk,all
cluster = no

;account_unique = yes
;didweb_role = 1012
;webroot_address = http://192.168.1.45:4580/
;disabled_module = all

;define astercc deamon path
asterccc=/opt/asterisk/scripts/astercc/asterccc
astccrealtime=/opt/asterisk/scripts/astercc/astcc_realtime
astccdialer=/opt/asterisk/scripts/astercc/astcc_dialer
astccdatamover=/opt/asterisk/scripts/astercc/astcc_datamover
safe_astercc=/opt/asterisk/scripts/astercc/safe_astercc
readevents=/opt/asterisk/scripts/astercc/readevents
;mailman=/opt/asterisk/scripts/astercc/astcc_mailman.pl
backupshell=/opt/asterisk/scripts/astercc/astcc_backup.sh
astccstatistics=/opt/asterisk/scripts/astercc/astcc_statistics
astccsysevents=/opt/asterisk/scripts/astercc/astcc_sysevents
;astccsmsman=/opt/asterisk/scripts/astercc/astcc_smsman
;socketevent=/opt/asterisk/scripts/astercc/socketevent
;astcc_localcheck=/opt/asterisk/scripts/astercc/astcc_localcheck

wacthdog_sleep = 30

apppath = /var/www/html/astercc/app

eventurl_display = no

onlyorder = no

basepushurl=

time_of_sleep = 3
systemevent_sleep = 5
systemevent_timeout = 5

monitormix = 0

; Recorded file path, if you want to lisens records from web, 
; the path must could be read by apache and allow php to exec 
monitorpath = /var/spool/asterisk/monitor/

; gsm,wav
monitorformat = wav

monitorbridged = 1

convert_mp3 = 0

asrkey = AIzaSyCWcmEXILcifl14zPBMiUlgcf8WYopI3o8
asrtimeout = 10

[dialer]
; if we use astercctools to recyle from dialedlist automaticly
recyleDialedlist = 0
;sleep [dialer_sleep] ms between every querys curspool
dialer_sleep = 1000
removeSpool = 1
maxChild = 20
backupSpool = 0
;;sleep [dialer_sleep] ms between every send call to CTI
dial_internal_sleep = 0

[autodialer]
time_of_sleep = 1
loop = yes

[realtime]
setcurchannel = 1
backupchannel = 0
setcurlink = 1
backuplink = 0
setstatus = 1
setqueue = 1
setpbxlog =
setmeetme = 1

[asterccqueue]
callerhistory = 0

[statistics]
;on/off
status = on
dbtype = mysql
dbhost = 127.0.0.1
dbname = astercc10
dbport = 3306
dbuser = astercc
dbpassword = asterccsecret
prefix= cc10_

shortringsec = -1

[asterccc]
max_servers = 2000
max_requests = 12000
pid_file = /var/run/asterccc.pid
log_file = /var/log/asterisk/full
;log_file = /var/log/asterccc_server.log
log_level = 0
;AGENT,SERVER,ALL,NONE
pushmode = ALL
pushoffline = 0
pushtimeout = 5
events_file = /var/log/asterisk/astcceventslog/
event_due = 5
file_split = D
startfile = history

[smsman]
;device=socket,host,startPort-endPort,restSecs,msgCenterNum,prefix
;device=socket,xxx.xxx.xxx.xxx,10001-10009,5,+8613800210500,+86
;device=post,http://Domain/SmsService/Service/sendSMS,10,5
;device=gnokii,port,configFile,restSecs,prefix
;device=gnokii,ttyS0,/root/.config/gnokii/config,5
;device=gnokii,ttyS1,/root/.config/gnokii/config1,5

[outbound]
;innerhtml_address = develop/ucpccb.php
;innerhtml_height = 285px

;[ifly]
;appid = 54695f10
;grammarid = 03cbe62622d175476e006c4f31f75df3

[recognition]
status = 1
max_silence = 20000
max_sec = 45000
file_end_sec = 5000

[backup]
localpath = /var/www/html/astercc/app/tmp/backup
savelocal = 3
mailfrom = solo@astercc.com
mailto = root@localhost
hostname = asterccpbx
ftphost=
ftpuser=
ftppasswd=
ftpdbpath=
ftpdirpath=
astetc=/etc/asterisk
astsounds=/var/lib/sounds
